OutputManagerAwt
Date: 2019-10-22

org.jmol.viewer

## Class OutputManagerAwt

- java.lang.Object
- - org.jmol.viewer.OutputManager
  - - org.jmol.viewer.OutputManagerAwt

-     public final class OutputManagerAwt
      extends OutputManager

- - ### Field Summary

    - ### Fields inherited from class org.jmol.viewer.OutputManager

      `privateKey, SCENE_TAG, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputManagerAwt()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) java.lang.String` | `clipImageOrPasteText(java.lang.String text)`
    `protected java.lang.String` | `createSceneSet(java.lang.String sceneFile, java.lang.String type, int width, int height)`
    `(package private) java.lang.String` | `getClipboardText()`
    `protected java.lang.String` | `getLogPath(java.lang.String fileName)`
    `private java.lang.String` | `getSceneScript(java.lang.String[] scenes, java.util.Map<java.lang.String,java.lang.String> htScenes, javajs.util.Lst<java.lang.Integer> list)`
    `(package private) javajs.util.OC` | `openOutputChannel(double privateKey, java.lang.String fileName, boolean asWriter, boolean asAppend)`

    - ### Methods inherited from class org.jmol.viewer.OutputManager

      `getImageAsBytes, getOutputChannel, getOutputFromExport, getWrappedState, handleOutputToFile, logToFile, outputToFile, processWriteOrCapture, setLogFile, setViewer, wrapPathForAllFiles, writeFileData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputManagerAwt

          public OutputManagerAwt()

  - ### Method Detail

    - #### getLogPath

          protected java.lang.String getLogPath(java.lang.String fileName)

      Specified by:
        `getLogPath` in class `OutputManager`

    - #### clipImageOrPasteText

          java.lang.String clipImageOrPasteText(java.lang.String text)

      Specified by:
        `clipImageOrPasteText` in class `OutputManager`

    - #### getClipboardText

          java.lang.String getClipboardText()

      Specified by:
        `getClipboardText` in class `OutputManager`

    - #### openOutputChannel

          javajs.util.OC openOutputChannel(double privateKey,
                                           java.lang.String fileName,
                                           boolean asWriter,
                                           boolean asAppend)
                                    throws java.io.IOException

      Specified by:
        `openOutputChannel` in class `OutputManager`
      Throws:
        `java.io.IOException`

    - #### createSceneSet

          protected java.lang.String createSceneSet(java.lang.String sceneFile,
                                                    java.lang.String type,
                                                    int width,
                                                    int height)

      Specified by:
        `createSceneSet` in class `OutputManager`

    - #### getSceneScript

          private java.lang.String getSceneScript(java.lang.String[] scenes,
                                                  java.util.Map<java.lang.String,java.lang.String> htScenes,
                                                  javajs.util.Lst<java.lang.Integer> list)